import request from '@/utils/request'

// 查询群发成员发送任务及执行结果反馈记录列表
export function listGroupVoiceMsgUser(query) {
  return request({
    url: '/qw/groupVoiceMsgUser/list',
    method: 'get',
    params: query
  })
}

// 查询群发成员发送任务及执行结果反馈记录详细
export function getGroupVoiceMsgUser(id) {
  return request({
    url: '/qw/groupVoiceMsgUser/' + id,
    method: 'get'
  })
}

// 新增群发成员发送任务及执行结果反馈记录
export function addGroupVoiceMsgUser(data) {
  return request({
    url: '/qw/groupVoiceMsgUser',
    method: 'post',
    data: data
  })
}

// 修改群发成员发送任务及执行结果反馈记录
export function updateGroupVoiceMsgUser(data) {
  return request({
    url: '/qw/groupVoiceMsgUser',
    method: 'put',
    data: data
  })
}

// 删除群发成员发送任务及执行结果反馈记录
export function delGroupVoiceMsgUser(id) {
  return request({
    url: '/qw/groupVoiceMsgUser/' + id,
    method: 'delete'
  })
}

// 导出群发成员发送任务及执行结果反馈记录
export function exportGroupVoiceMsgUser(query) {
  return request({
    url: '/qw/groupVoiceMsgUser/export',
    method: 'get',
    params: query
  })
}

/** 刷新/同步 客户群群发 结果 */
export function refreshResultsGroupVoiceMsgUser(data){
  return request({
    url: '/qw/groupVoiceMsgUser/refreshResultsGroupVoiceMsgUser',
    method: 'post',
    data: data
  })
}

/** 刷新/同步 客户群发 结果 */
export function refreshResultsVoiceMsgUser(data){
  return request({
    url: '/qw/groupVoiceMsgUser/refreshResultsVoiceMsgUser',
    method: 'post',
    data: data
  })
}
